Page MenuHomeFreeBSD

devel/aphpunit: flavorize PHP port
ClosedPublic

Authored by tz on Mar 14 2018, 12:12 PM.

Details

Summary

Aloha,

beside a simple update and adding forgotten IGNORE_WITH_PHP i flavorized this port. Not sure if i used PKGNAMESUFFIX correct, but the result looks fine to me.

Greetings,
tz

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tz created this revision.Mar 14 2018, 12:12 PM
mat added a comment.Mar 21 2018, 1:27 PM

Could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

tz updated this revision to Diff 40635.Mar 23 2018, 2:21 PM

Provide more context for review

mat added a comment.Mar 23 2018, 2:27 PM

Thanks for the context.

The idea is that PHP applications should use the suffix, and everything else should use prefix. I do not use PHP, so outside of the ports I already did with the flavor work which were all extensions, modules, or libs, and were easily in the prefix category, I have no clue what this should use :-)

tz updated this revision to Diff 40636.Mar 23 2018, 2:40 PM

You are right. I changed SUFFIX to PREFIX in order to get names like php70-aphunit-1.4, which are much clearer.

This revision was not accepted when it landed; it landed in state Needs Review.Mar 29 2018, 9:04 AM
This revision was automatically updated to reflect the committed changes.